var tables = document.getElementById("tab_paiement");

// Création de l'objet DataTable avec les options de base et Ajax
$(tables).DataTable({ "dom": 'rt<"bottom"ip><"clear">',
    "language": {
      "info": "-   Showing _START_ to _END_ of _TOTAL_ entries"
    },
  ajax: {
    url: "assets/data/vente_sim.php?my_var=1", // Chemin du fichier JSON à utiliser
    type: "GET"
  },    responsive: true, // Rendre le tableau responsive 
 
         order: [1, 'DESC'],
        columns: [  {
          data: 'etat',
          className: 'align-middle text-center',
		  orderable: true,
          searchable: true
        }, {
          data: 'date_vente',
          className: 'align-middle text-center',
		  orderable: true,
          searchable: true
        }, {
          data: 'num_sim',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }, {
          data: 'etat_paie',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        } ],
        columnDefs: [  {
          targets: 0,
          render: function render(data, type, row, meta) {
			  if(row.etat=="activé")
			  return"<span class=\"record-icon green pulse mr-1\"></span>";
		      else
			  return"<span class=\"record-icon red pulse mr-1\"></span> ";
               
          }
        },{
          targets: 1,
          render: function render(data, type, row, meta) {
            return row.date_vente ;
          }
        },{
          targets: 2,
          render: function render(data, type, row, meta) {
            return row.num_sim ;
          }
        },{
          targets: 3,
          render: function render(data, type, row, meta) {
		  if(row.etat_paie=="Impayé")
			  return"<span class='badge badge-danger'>Impayé</span>";
		      else
			if(row.etat_paie=="Payé")
			  return"<span class='badge badge-success'>Payé</span>";
		      else	  
               return"<span class='badge badge-warning'>"+row.etat_paie+"</span>";
		}}]
  
});
